#
# spec file for package gap-design
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-design
Summary:        GAP: The Design Package for GAP
Version:        1.8.2
Release:        1.1
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/design/
#Git-Clone:     https://github.com/gap-packages/design
Source:         https://github.com/gap-packages/design/releases/download/v%version/design-%version.tar.gz
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
Requires:       gap-core >= 4.10
Requires:       gap-grape >= 4.8
Suggests:       gap-gapdoc >= 1.6
BuildArch:      noarch

%description
The DESIGN package is for constructing, classifying, partitioning and
studying block designs.

%prep
%autosetup -n design-%version -p1

%build

%install
%gappkg_simple_install

%files -f %name.files

%changelog
* Sat Nov  2 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.8.2
  * Documentation updates
* Mon Oct 21 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.8.1
  * Use partial colouring when searching for block designs.
* Sun Jun 25 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.8
  * Added the undocumented function ``OARunMultiplicityBound``
  * Improved the performance of ``BlockIntersectionPolynomialCheck``
* Fri Oct 14 2022 Stefan Brüns <stefan.bruens@rwth-aachen.de>
- Update to new upstream release 1.7
  * Documented utility function DESIGN_IntervalForLeastRealZero
  * Lists of changes moved from README to new file CHANGES.md,
    README now README.md, gpl.txt now LICENSE.
  * Added test directory tst, file tst/testall.g, and a test file
    tst/testall.tst.
  * Documentation updated to reflect move to github and version
    change.
* Fri May 10 2013 jengelh@inai.de
- Split design (version 1.6) off the gap RPM package
